<bugID>585552<Summary>result of executed string is not in the same scope as the page's window</Summary><Description>Executing

    foo="bar";

in the WebConsole puts the "foo" object not on the window object of the current page but on the sandbox object used to execute the string.

Related bugs:
  bug 572953: Cu.evalInSandbox should not ignore wrappedJSObject
  bug 574033: HUD Console should evaluate commands in window scope</Description></bugID>